libvisio::VSDTextField Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libvisio::VSDTextField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDTextField:

## Public Member Functions
| VSDTextField (unsigned id, unsigned level, int nameId, int formatStringId)
| ~VSDTextField () override
void | handle (VSDCollector *collector) const override
VSDFieldListElement * | clone () override
librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &strVec, unsigned defaultUnit) override
void | setNameId (int nameId) override
void | setFormat (unsigned short) override
void | setCellType (unsigned short) override
void | setValue (double) override
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Attributes
unsigned | m_id
unsigned | m_level
int | m_nameId
int | m_formatStringId

## Constructor & Destructor Documentation

## ◆ VSDTextField()

libvisio::VSDTextField::VSDTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId )
| inline

## ◆ ~VSDTextField()

libvisio::VSDTextField::~VSDTextField | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDFieldListElement * libvisio::VSDTextField::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ getString()

librevenge::RVNGString libvisio::VSDTextField::getString | ( | const std::map< unsigned, librevenge::RVNGString > & | strVec,
|  | unsigned | defaultUnit )
| overridevirtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectTextField().

## ◆ handle()

void libvisio::VSDTextField::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setCellType()

void libvisio::VSDTextField::setCellType | ( | unsigned short |  | ) |
| inlineoverridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setFormat()

void libvisio::VSDTextField::setFormat | ( | unsigned short |  | ) |
| inlineoverridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setNameId()

void libvisio::VSDTextField::setNameId | ( | int | nameId | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setValue()

void libvisio::VSDTextField::setValue | ( | double |  | ) |
| inlineoverridevirtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

## ◆ m_formatStringId

int libvisio::VSDTextField::m_formatStringId
| private

Referenced by handle().

## ◆ m_id

unsigned libvisio::VSDTextField::m_id
| private

Referenced by handle().

## ◆ m_level

unsigned libvisio::VSDTextField::m_level
| private

Referenced by handle().

## ◆ m_nameId

int libvisio::VSDTextField::m_nameId
| private

Referenced by handle().

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp